Bug 198507 - after adding additional disk to 3ware raid-5, pvresize does not add space to physical volume
after adding additional disk to 3ware raid-5, pvresize does not add space to ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 11:18 EDT by jas
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 03:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jas 2006-07-11 11:18:30 EDT
Description of problem:

Add a new 200 GB disk to an existing 3ware RAID-5 through 3ware online capacity
expansion tool.  Now, I should be able to add the additional space to the LVM2
physical volume using "pvresize", but it doesn't work ...

Version-Release number of selected component (if applicable):

  LVM version:     2.02.01 (2005-11-23)
  Library version: 1.02.02 (2006-01-04)
  Driver version:  4.5.0

How reproducible:

Added new disk to 3ware RAID-5.

pvs shows:

  PV         VG      Fmt  Attr PSize   PFree  
  /dev/sdb   scratch lvm2 a-   372.50G 172.50G

(ie. it can see the new 172.50G there)

pvresize /dev/sdb displays:

    Using physical volume(s) on command line
    Archiving volume group "scratch" metadata (seqno 9).
    No change to size of physical volume /dev/sdb.
    Resizing volume "/dev/sdb" to 781205120 sectors.
    Updating physical volume "/dev/sdb"
    Creating volume group backup "/etc/lvm/backup/scratch" (seqno 10).
  Physical volume "/dev/sdb" changed
  1 physical volume(s) resized / 0 physical volume(s) not resized

Note:
"No change to size of physical volume /dev/sdb"
later followed by:
"Resizing volume "/dev/sdb" to 781205120 sectors."
and
"Physical volume "/dev/sdb" changed
 1 physical volume(s) resized ..."

messages are very conflicting.. and the appear every time you run pvresize even
though it isn't really changing anything.  

An option might be to try to use pvresize with the --setphysicalvolumesize 545
(372.50 + 172.50), which I haven't done yet, but the default pvresize should be
able to figure out the size on its own.
Comment 1 jas 2006-07-11 12:56:17 EDT
# pvresize --setphysicalvolumesize 500G /dev/sdb
  WARNING: /dev/sdb: Overriding real size. You could lose data.
  Physical volume "/dev/sdb" changed
  1 physical volume(s) resized / 0 physical volume(s) not resized

# lvextend -L+200G /dev/scratch/jas
  Extending logical volume jas to 300.00 GB
  device-mapper: reload ioctl failed: Invalid argument
  Failed to suspend jas

Extending the space by specifying a hard-coded physical volume size doesn't work
either.
Comment 2 jas 2006-07-11 16:08:19 EDT
It seems that I read the information wrong from the pvs command.
The new storage is only available after unmounting filesystems, removing the
RAID unit, rescanning, or rebooting.

I guess this case can be closed ... seems I can't do it.
Comment 3 Milan Broz 2006-07-12 03:13:50 EDT
Closing per reporter request.

Note You need to log in before you can comment on or make changes to this bug.